import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const assignmentListResponse of client.v1Beta.customers.assignments.list('id')) {
console.log(assignmentListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1_beta.customers.assignments.list(
id="id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1Beta.Customers.Assignments.List(
context.TODO(),
"id",
stigg.V1BetaCustomerAssignmentListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.assignments.AssignmentListPage;
import io.stigg.models.v1beta.customers.assignments.AssignmentListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
AssignmentListPage page = client.v1Beta().customers().assignments().list("id");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1_beta.customers.assignments.list("id")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Assignments;
StiggClient client = new();
AssignmentListParams parameters = new() { ID = "id" };
var page = await client.V1Beta.Customers.Assignments.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1-beta:customers:assignments list \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.stigg.io/api/v1-beta/customers/{id}/assignments \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1-beta/customers/{id}/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "6f6b9c39-3a14-4a5e-9c6c-2a4f8d8d2f3f",
"entityId": "workspace-001",
"featureId": "feature-compute-minutes",
"scopeEntityIds": [],
"parentId": null,
"usageLimit": 1000,
"cadence": "P1M",
"createdAt": "2026-05-18T10:00:00.000Z",
"updatedAt": "2026-05-18T10:00:00.000Z"
},
{
"id": "8d3a9b71-c41b-4d22-a17b-93e6f6d3b201",
"entityId": "workspace-002",
"currencyId": "cred-type-tokens",
"scopeEntityIds": [
"user-1"
],
"parentId": "workspace-001",
"usageLimit": 2000,
"cadence": "P1M",
"createdAt": "2026-05-18T10:00:00.000Z",
"updatedAt": "2026-05-18T10:00:00.000Z"
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>",
"code": "BadUserInput"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Get a list of assignments
Returns a cursor-paginated list of capability assignments for the given customer. An assignment ties an entity to a capability with a usage limit and reset cadence.
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const assignmentListResponse of client.v1Beta.customers.assignments.list('id')) {
console.log(assignmentListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1_beta.customers.assignments.list(
id="id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1Beta.Customers.Assignments.List(
context.TODO(),
"id",
stigg.V1BetaCustomerAssignmentListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.assignments.AssignmentListPage;
import io.stigg.models.v1beta.customers.assignments.AssignmentListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
AssignmentListPage page = client.v1Beta().customers().assignments().list("id");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1_beta.customers.assignments.list("id")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Assignments;
StiggClient client = new();
AssignmentListParams parameters = new() { ID = "id" };
var page = await client.V1Beta.Customers.Assignments.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1-beta:customers:assignments list \
--api-key 'My API Key' \
--id idAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The customer identifier (owner) the assignments belong to
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Query Parameters
Return items that come after this cursor
Return items that come before this cursor
Maximum number of items to return
1 <= x <= 100Filter assignments to a specific entity ID
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Filter assignments to a specific feature, by its ID. Mutually exclusive with currencyId.
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Filter assignments to a specific currency, by its ID. Mutually exclusive with featureId.
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Related topics
Get a list of governance nodesGet a list of addonsGet a list of featuresGet a list of productsGet a list of customers